Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Versions of Tools Needed

See Tested/Verified Tool Versions.

Daffodil development uses quite a few tools. To avoid the pages of this wiki becoming obsolete every time a tool-version changes, we centralize the Tested/Verified Tool Versions so that there's only one place that contains the actual version numbers. All the other pages should avoid specifying versions of anything.

...

IMPORTANT: You are expected to use the versions of the tools below that are given at Tested/Verified Tool Versions.

You will need to:

  1. For MS-Windows users: Setup Microsoft Windows for Unicode, as full Unicode support is required for using Daffodil.

  2. Install Java Software Development Kit aka SDK or JDK. (Note: Not only the Java Runtime Environment or JRE, you need the full JDK)
  3. Install SBT
    • Note: you need sbt even if you intend to do development from an IDE like Eclipse. There are things built using sbt that are necessary for the IDE environment.

    • You can find SBT installation instructions here: http://www.scala-sbt.org/0.13/docs/index.html

  4. Install GitIncrease Available Memory via
    • MS Windows Users - you must turn off the "autocrlf" feature. The default that the Windows installer uses WILL NOT WORK.
      • The git config file (c:\ProgramData\Git\config) should have "autocrlf = input"
  5. Set Environment Variables
  6. Obtain Daffodil Source - See Getting Daffodil
  7. Execute a Preliminary Build to Retrieve Libraries
  8. Build Daffodil
  9. Run Daffodil you just Compiled from the Command Line
  10. Development Workflow

Reference Material

...